Last Comment Bug 342232 - Disable various menu items when window/tab contains binary content
: Disable various menu items when window/tab contains binary content
Status: RESOLVED FIXED
: fixed1.8.1.1
Product: Camino Graveyard
Classification: Graveyard
Component: Toolbars & Menus (show other bugs)
: unspecified
: PowerPC Mac OS X
-- normal (vote)
: Camino1.5
Assigned To: Stuart Morgan
:
:
Mentors:
Depends on:
Blocks: 341853
  Show dependency treegraph
 
Reported: 2006-06-20 18:01 PDT by froodian (Ian Leue)
Modified: 2006-11-07 22:07 PST (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix (5.72 KB, patch)
2006-10-27 21:40 PDT, Stuart Morgan
bugzilla-graveyard: review+
mikepinkerton: superreview+
Details | Diff | Splinter Review

Description User image froodian (Ian Leue) 2006-06-20 18:01:17 PDT
As a followup to bug 309132, we should disable various other menu items when binary content is being displayed.  Per IRC, this should be:

Fill Form
all the Finds
Bigger/Smaller Text
Text Encoding
Copy and Select All
Comment 1 User image Simon Fraser 2006-06-20 21:45:32 PDT
by "binary content" you mean just an image, or full-window plugin?
Comment 2 User image Chris Lawson (gone) 2006-06-20 21:51:42 PDT
Well, either one, really. Are there cases where, for instance, Bigger Text actually *works* on a plugin?

cl
Comment 3 User image Simon Fraser 2006-06-21 20:12:20 PDT
(In reply to comment #2)
> Well, either one, really. Are there cases where, for instance, Bigger Text
> actually *works* on a plugin?

no.
Comment 4 User image Stuart Morgan 2006-10-27 21:40:00 PDT
Created attachment 243872 [details] [diff] [review]
fix

Does everything above except select/copy, since those are valid things to do to, say, an image.  (This doesn't do anything with Fill Form since I fixed that in an earlier validation.)
Comment 5 User image Chris Lawson (gone) 2006-10-27 21:57:02 PDT
(In reply to comment #4)
> Created an attachment (id=243872) [edit]
> fix
> 
> Does everything above except select/copy, since those are valid things to do
> to, say, an image.

Is there any way to differentiate between an image and plugin content? I'm not sure Select/Copy have meaning on PDF, Flash, or Java content, for instance. That'd be fine for a followup bug if we want to tackle that later.

r=me otherwise, though.

cl
Comment 6 User image Smokey Ardisson (offline for a while; not following bugs - do not email) 2006-10-27 22:15:02 PDT
For Flash (and probably Java, and maybe PDF forms?), Cut/Copy/Paste should be enabled; see bug 315824 and bug 315824 comment 8.
Comment 7 User image Chris Lawson (gone) 2006-10-27 22:22:03 PDT
(In reply to comment #6)
> For Flash (and probably Java, and maybe PDF forms?), Cut/Copy/Paste should be
> enabled; see bug 315824 and bug 315824 comment 8.

Right. Is there a way for the plugin to tell us whether clipboard actions are meaningful? In some Flash and Java (and PDF forms) it would be, and in most, it wouldn't. I guess that's sort of a plugin bug in that case, and as I said, I'm fine with this as-is. Plugin authors should do the Right Thing™ but I'm not holding my breath.

cl
Comment 8 User image Mike Pinkerton (not reading bugmail) 2006-11-06 06:50:58 PST
Comment on attachment 243872 [details] [diff] [review]
fix

sr=pink
Comment 9 User image Stuart Morgan 2006-11-07 22:07:27 PST
Checked in on trunk and MOZILLA_1_8_BRANCH

Note You need to log in before you can comment on or make changes to this bug.